Subject: Re: bug#60338: [PATCH] Add option to present server changes as diffs

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 Jun 2023 16:41:57 +0300

> From: Philip Kaludercic <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 12 Jun 2023 13:29:21 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Philip Kaludercic <[email-masked]>
> >> Cc: [email-masked],  [email-masked]
> >> Date: Mon, 12 Jun 2023 12:35:09 +0000
> >> 
> >> Eli Zaretskii <[email-masked]> writes:
> >> 
> >> > Isn't there a better way of presenting the edits in human-readable
> >> > form than apply them and then run Diff?  What format is used by the
> >> > server itself to send the edits?
> >> 
> >> The server sends a JSON message.  Here is an example from a little toy
> >> project of mine in C, where I intentionally uncommented a #include
> >> directive:
> >
> > And we cannot generate the Diff format from this?
> 
> Certainly we /could/, but I don't think that would be worth the effort
> to generate a proper diff manually.

It doesn't necessarily have to be the full-fledged diffs, it could be
something approximate.  After all, this is for human consumption.

> > What do we suggest to people who don't have Diff, though?  Nothing?
> 
> They still have two different options for
> `eglot-confirm-server-initiated-edits', 'confirm (the default) and nil.
> This is the current state.

IOW, we offer them nothing for this feature.

Look, I cannot force you to do anything else, if you don't feel like
it, but I don't like this solution, and think we should try harder.  I
urge you to try to find some way of presenting the edits in
human-readable form that doesn't need running Diff.

Thanks in advance.